Rパッケージをアーカイブにインストールする

Windowsのアーカイブに入っているパッケージをインストールするにはどうしたらいいですか?

http://cran.r-project.org/src/contrib/Archive/

アーカイブからダウンロードしたtar.gzをインストールしようとすると、次のエラーが表示されます。

  gzfile(file、 "r")のエラー:接続を開くことができません
さらに、警告メッセージ:
1:unzip(zipname、exdir = dest):zipファイルからの抽出でエラー1
2:gzfile(ファイル "r"):
  圧縮ファイル 'grasp_2.5-7.tar.gz/DESCRIPTION'を開けません。考えられる理由は 'そのようなファイルやディレクトリはありません'
 
4
WindowsソースのインストールにはRtoolsが必要な場合があります。
追加された 著者 42-,

3 答え

ソース(tar.gzファイル)をダウンロードして、次の方法でインストールできます。

R CMD INSTALL packagename.tar.gz
5
追加された
同じエラーの場合は、そう言います。現時点では、gzipファイルのローカルコピーを持っていても、表示される内容はわからず、いくつかのエラーが考えられます。
追加された 著者 42-,
私はローカルzipからのインストールを試みましたが、エラーが出ます(質問を参照)
追加された 著者 Gago-Silva,
はい、それは同じエラーです、コメントと質問の編集が同時に行われました。 szippedファイルは cran.r-project.org/src/contrib/Archiveからダウンロードされましたをご覧ください。私はすでに利用可能な3つのバージョンを試して、私は同じエラーが発生します。私はRtoolsで試してみる
追加された 著者 Gago-Silva,

devtools install_version 関数を試すことができます。 ggplot2 のバージョン0.8をインストールする場合は、 install_version( 'ggplot2'、 '0.8')として呼び出すことができます。 Windowsの場合は、の指示に従います。ここから、ソースからパッケージをビルドします。

5
追加された

アーカイブからグラフパッケージをインストールするのと同じ問題がありました。パッケージは別のパッケージ(bnclasify)に必要です。

chooseBioCmirror() #select a different mirror than CRAN. This mirror may be #because is the one that has bnclasify in it (check this statement)

setRepositories() #In here you can select as many as you want to search for the       #package you need

ap <- available.packages() #list of all available packages

"graph" %in% rownames(ap) #search the package you need by name (return TRUE or #FALSE). 

install.packages("graph", dependencies=TRUE) #if the last statement TRUE then #install the package like normally
0
追加された